package r.e;

//import re.anywhere.confedit.ReadConfig;
import re.anywhere.client.ExecByBatch;
import android.content.BroadcastReceiver;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.SystemClock;

public class ClientStartupReceiver extends BroadcastReceiver {

	@Override
	public void onReceive(Context arg0, Intent arg1) 
	{
		/*
		boolean startonboot=false; // default to not starting on boot

		ReadConfig.readfile(); // this COULD be replaced with Android Preferences but a text file has its advantages (readble, portable)
		RobotClient.serialportname=ReadConfig.getstring("serialport",RobotClient.serialportname);
		startonboot=ReadConfig.getboolean("startonboot",startonboot);
		
		if(startonboot)
			ExecByBatch.RunAct(RobotClient.maintaskname);
		else
			ExecByBatch.RunAct(RobotClient.sectaskname);
			*/
		
		ExecByBatch.RunAct("r.e/SmsIntentReceiver");
		ExecByBatch.RunAct("r.e/GmailReceiver");
	}

static public void dochmod()
{
	/*
	ExecByBatch.RunCommand("chmod 666 "+RobotClient.serialportname+"\n");
	if (ExecByBatch.RunQuick(new String[]{"su", "-c", "chmod 666 "+RobotClient.serialportname}) == false)
		ExecByBatch.RunQuick(new String[]{"sh", "-c", "chmod 666 "+RobotClient.serialportname});
	SystemClock.sleep(150);
	*/
}
}
